#include <stdio.h>
#include <scheduler.h>

/* killteam PID (if a hyphenated option is given, it is ignored for
   compatibility with /bin/kill)

   Cameron Kaiser, 2021
   BeOS R5
   MAKE BEBOXES GREAT AGAIN
   Public domain. */

void
usage(char *program)
{
	fprintf(stderr, "usage: %s pid [pid ...]\n", program);
	exit(1);
}

int
main(int argc, char **argv)
{
	int i, pid;
	status_t s;
	int e = 0;
	
	if (argc < 2) usage(argv[0]);
	for (i=1; i<argc; i++) {
		if (argv[i][0] == '-') continue;
		pid = atoi(argv[i]);
		if (pid < 1) {
			fprintf(stderr, "illegal PID\n");
			usage(argv[0]);
		}

		s = kill_team(pid);
		if (s != B_OK) {
			e = s;
			perror("kill_team");
		}
	}
	return e;
}
